"""===========================================================
منطق برنامه ای را طراحی کنید که عدد طبیعی مضرب 3 به نام N را در ورودی دریافت کند و
مجموع چند جمله از سری زیر را تا جمله 1/N را محاسبه و چاپ کند
s = 1/3 + 1/6 + 1/9 + ... + 1/N
==========================================================="""
n = int(input("Please enter your num: "))

#             with while
#-----------------------------------

if n % 3 == 0:
    sigma = 0
    count = 3
    while count <= n:
        obj = 1/count
        sigma += obj
        count +=3
    print("="*20,"\nSigma = ",sigma)
else:
    print("عدد ورودی مضرب 3 نیست")




#      with for
#----------------------------
if n % 3 == 0:
    sigma = 0
    for count in range(3,n+1,3):
        obj = 1/count
        sigma += obj
    print("=" * 20, "\nSigma = ", sigma)
else:
    print("مضرب 3 نیست")